Replenishment#

class sp_api.api.Replenishment(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)#

Replenishment SP-API Client :link:

The Selling Partner API for Replenishment (Replenishment API) provides programmatic access to replenishment program metrics and offers. These programs provide recurring delivery of any replenishable item at a frequency chosen by the customer.

The Replenishment API is available worldwide wherever Amazon Subscribe & Save is available or is supported. The API is available to vendors and FBA selling partners.

get_selling_partner_metrics(self, **kwargs) ApiResponse#

Returns aggregated replenishment program metrics for a selling partner.

Usage Plan:

Rate (requests per second)

Burst

1

1

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

Replenishment().get_selling_partner_metrics()
Parameters:

body – GetSellingPartnerMetricsRequest | The request body for the getSellingPartnerMetrics operation.

Returns:

ApiResponse

list_offer_metrics(self, **kwargs) ApiResponse#

Returns aggregated replenishment program metrics for a selling partner’s offers.

Usage Plan:

Rate (requests per second)

Burst

1

1

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

Replenishment().list_offer_metrics()
Parameters:

body – ListOfferMetricsRequest | The request body for the listOfferMetrics operation.

Returns:

ApiResponse

list_offers(self, **kwargs) ApiResponse#

Returns the details of a selling partner’s replenishment program offers.

Usage Plan:

Rate (requests per second)

Burst

1

1

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

Replenishment().list_offers()
Parameters:

body – ListOffersRequest | The request body for the listOffers operation.

Returns:

ApiResponse